--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Methods added to Test::Unit::TestCase or equivalent.
constants: []

full_name: Mocha::API
includes: 
- !ruby/object:RI::IncludedModule 
  name: ParameterMatchers
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: mock
- !ruby/object:RI::MethodSummary 
  name: sequence
- !ruby/object:RI::MethodSummary 
  name: states
- !ruby/object:RI::MethodSummary 
  name: stub
- !ruby/object:RI::MethodSummary 
  name: stub_everything
name: API
superclass: 
